Linux ip-172-26-7-228 5.4.0-1103-aws #111~18.04.1-Ubuntu SMP Tue May 23 20:04:10 UTC 2023 x86_64
Apache
: 172.26.7.228 | : 3.147.42.34
Cant Read [ /etc/named.conf ]
5.6.40-24+ubuntu18.04.1+deb.sury.org+1
www-data
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
doc /
git /
contrib /
examples /
[ HOME SHELL ]
Name
Size
Permission
Action
README
167
B
-rw-r--r--
builtin-fetch--tool.c
12.75
KB
-rw-r--r--
git-am.sh
23.81
KB
-rw-r--r--
git-checkout.sh
7.44
KB
-rw-r--r--
git-clean.sh
2.21
KB
-rw-r--r--
git-clone.sh
12.41
KB
-rw-r--r--
git-commit.sh
14.05
KB
-rw-r--r--
git-difftool.perl
12.46
KB
-rw-r--r--
git-fetch.sh
8.9
KB
-rw-r--r--
git-gc.sh
594
B
-rw-r--r--
git-log.sh
372
B
-rw-r--r--
git-ls-remote.sh
2.49
KB
-rw-r--r--
git-merge-ours.sh
338
B
-rw-r--r--
git-merge.sh
14.09
KB
-rw-r--r--
git-notes.sh
2.65
KB
-rw-r--r--
git-pull.sh
10.25
KB
-rw-r--r--
git-remote.perl
10.14
KB
-rw-r--r--
git-repack.sh
4.88
KB
-rw-r--r--
git-rerere.perl
6.05
KB
-rw-r--r--
git-reset.sh
2.25
KB
-rw-r--r--
git-resolve.sh
2.66
KB
-rw-r--r--
git-revert.sh
4.59
KB
-rw-r--r--
git-svnimport.perl
24.39
KB
-rw-r--r--
git-svnimport.txt
5.26
KB
-rw-r--r--
git-tag.sh
3.93
KB
-rw-r--r--
git-verify-tag.sh
749
B
-rw-r--r--
git-whatchanged.sh
924
B
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : git-tag.sh
#!/bin/sh # Copyright (c) 2005 Linus Torvalds USAGE='[-n [<num>]] -l [<pattern>] | [-a | -s | -u <key-id>] [-f | -d | -v] [-m <msg>] <tagname> [<head>]' SUBDIRECTORY_OK='Yes' . git-sh-setup message_given= annotate= signed= force= message= username= list= verify= LINES=0 while test $# != 0 do case "$1" in -a) annotate=1 shift ;; -s) annotate=1 signed=1 shift ;; -f) force=1 shift ;; -n) case "$#,$2" in 1,* | *,-*) LINES=1 # no argument ;; *) shift LINES=$(expr "$1" : '\([0-9]*\)') [ -z "$LINES" ] && LINES=1 # 1 line is default when -n is used ;; esac shift ;; -l) list=1 shift case $# in 0) PATTERN= ;; *) PATTERN="$1" # select tags by shell pattern, not re shift ;; esac git rev-parse --symbolic --tags | sort | while read TAG do case "$TAG" in *$PATTERN*) ;; *) continue ;; esac [ "$LINES" -le 0 ] && { echo "$TAG"; continue ;} OBJTYPE=$(git cat-file -t "$TAG") case $OBJTYPE in tag) ANNOTATION=$(git cat-file tag "$TAG" | sed -e '1,/^$/d' | sed -n -e " /^-----BEGIN PGP SIGNATURE-----\$/q 2,\$s/^/ / p ${LINES}q ") printf "%-15s %s\n" "$TAG" "$ANNOTATION" ;; *) echo "$TAG" ;; esac done ;; -m) annotate=1 shift message="$1" if test "$#" = "0"; then die "error: option -m needs an argument" else message="$1" message_given=1 shift fi ;; -F) annotate=1 shift if test "$#" = "0"; then die "error: option -F needs an argument" else message="$(cat "$1")" message_given=1 shift fi ;; -u) annotate=1 signed=1 shift if test "$#" = "0"; then die "error: option -u needs an argument" else username="$1" shift fi ;; -d) shift had_error=0 for tag do cur=$(git show-ref --verify --hash -- "refs/tags/$tag") || { echo >&2 "Seriously, what tag are you talking about?" had_error=1 continue } git update-ref -m 'tag: delete' -d "refs/tags/$tag" "$cur" || { had_error=1 continue } echo "Deleted tag $tag." done exit $had_error ;; -v) shift tag_name="$1" tag=$(git show-ref --verify --hash -- "refs/tags/$tag_name") || die "Seriously, what tag are you talking about?" git-verify-tag -v "$tag" exit $? ;; -*) usage ;; *) break ;; esac done [ -n "$list" ] && exit 0 name="$1" [ "$name" ] || usage prev=0000000000000000000000000000000000000000 if git show-ref --verify --quiet -- "refs/tags/$name" then test -n "$force" || die "tag '$name' already exists" prev=$(git rev-parse "refs/tags/$name") fi shift git check-ref-format "tags/$name" || die "we do not like '$name' as a tag name." object=$(git rev-parse --verify --default HEAD "$@") || exit 1 type=$(git cat-file -t $object) || exit 1 tagger=$(git var GIT_COMMITTER_IDENT) || exit 1 test -n "$username" || username=$(git config user.signingkey) || username=$(expr "z$tagger" : 'z\(.*>\)') trap 'rm -f "$GIT_DIR"/TAG_TMP* "$GIT_DIR"/TAG_FINALMSG "$GIT_DIR"/TAG_EDITMSG' 0 if [ "$annotate" ]; then if [ -z "$message_given" ]; then ( echo "#" echo "# Write a tag message" echo "#" ) > "$GIT_DIR"/TAG_EDITMSG git_editor "$GIT_DIR"/TAG_EDITMSG || exit else printf '%s\n' "$message" >"$GIT_DIR"/TAG_EDITMSG fi grep -v '^#' <"$GIT_DIR"/TAG_EDITMSG | git stripspace >"$GIT_DIR"/TAG_FINALMSG [ -s "$GIT_DIR"/TAG_FINALMSG -o -n "$message_given" ] || { echo >&2 "No tag message?" exit 1 } ( printf 'object %s\ntype %s\ntag %s\ntagger %s\n\n' \ "$object" "$type" "$name" "$tagger"; cat "$GIT_DIR"/TAG_FINALMSG ) >"$GIT_DIR"/TAG_TMP rm -f "$GIT_DIR"/TAG_TMP.asc "$GIT_DIR"/TAG_FINALMSG if [ "$signed" ]; then gpg -bsa -u "$username" "$GIT_DIR"/TAG_TMP && cat "$GIT_DIR"/TAG_TMP.asc >>"$GIT_DIR"/TAG_TMP || die "failed to sign the tag with GPG." fi object=$(git-mktag < "$GIT_DIR"/TAG_TMP) fi git update-ref "refs/tags/$name" "$object" "$prev"
Close